perl-PadWalker-2.1-3.2.x86_64.rpm


Advertisement

Description

perl-PadWalker - Play with Other Peoples' Lexical Variables

Distribution: openSUSE 42.1
Repository: openSUSE Oss all
Package name: perl-PadWalker
Package version: 2.1
Package release: 3.2
Package architecture: x86_64
Package type: rpm
Installed size: 40.52 KB
Download size: 22.35 KB
Official Mirror: ftp.gwdg.de
PadWalker is a module which allows you to inspect (and even change!) lexical variables in any subroutine which called you. It will only show those variables which are in scope at the point of the call. PadWalker is particularly useful for debugging. It's even used by Perl's built-in debugger. (It can also be used for evil, of course.) I wouldn't recommend using PadWalker directly in production code, but it's your call. Some of the modules that use PadWalker internally are certainly safe for and useful in production.

Alternatives

Requires

Provides

  • PadWalker.so()(64bit)
  • perl(PadWalker) = 2.1
  • perl-PadWalker = 2.1-3.2
  • perl-PadWalker(x86-64) = 2.1-3.2

    Download

    Install Howto

    Install perl-PadWalker rpm package:

    # zypper install perl-PadWalker
    Advertisement
    Advertisement